Sample Code 0.1 20120518

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Animal Class Reference

a base class More...

Inheritance diagram for Animal:

## Public Member Functions

| call (this)
| say the call of this animal
| init (this)
| constructor
| setKind (this, Kind)
| set kind of object

## Detailed Description

a base class

Definition at line 39 of file animals.lua.

## Member Function Documentation

call | ( | this |  | ) |

say the call of this animal

Definition at line 52 of file animals.lua.

init | ( | this |  | ) |

constructor

Definition at line 42 of file animals.lua.

setKind | ( | this | ,
|  | Kind |
| ) |  |

set kind of object

Definition at line 47 of file animals.lua.

The documentation for this class was generated from the following file:

- animals.lua